package org.springblade.sqlfly.config;

/**
 * 数据库类型
 * 
 * @author William
 * @date 2022年10月28日 上午11:29:08
 */
public enum DbType {
	mysql(0, "mysql"), //
	oracle(1, "oracle"), //
	sqlserver(2, "sqlserver"), //
	postgresql(3, "postgresql"), //
	clickhouse(4, "clickhouse"); //

	private Integer value;
	private String name;

	private DbType(Integer value, String name) {
		this.value = value;
		this.name = name;
	}

	public Integer getValue() {
		return value;
	}

	public void setValue(Integer value) {
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public static DbType reslove(Integer value) {
		DbType[] values = DbType.values();
		for (DbType val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}
}
